Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class BlockPistonMoving

    java.lang.Object
      net.minecraft.src.Block
          net.minecraft.src.BlockContainer
              net.minecraft.src.BlockPistonMoving

    public class BlockPistonMoving

extends BlockContainer

Field Summary

Fields inherited from class net.minecraft.src.Block
`bed, bedrock, blockClay, blockDiamond, blockEmerald, blockGold, blockID, blockIndexInTexture, blockLapis, blockMaterial, blockParticleGravity, blocksList, blockSnow, blockSteel, bookShelf, brewingStand, brick, button, cactus, cake, canBlockGrass, cauldron, chest, cloth, cobblestone, cobblestoneMossy, cocoaPlant, crops, deadBush, dirt, dispenser, doorSteel, doorWood, dragonEgg, enchantmentTable, enderChest, endPortal, endPortalFrame, fence, fenceGate, fenceIron, field_82507_n, field_82508_o, field_82509_m, field_82510_ck, field_82511_ci, field_82512_cj, field_82513_cg, field_82514_ch, field_82515_ce, field_82516_cf, field_82517_cc, field_82518_cd, fire, glass, glowStone, grass, gravel, ice, isDefaultTexture, jukebox, ladder, lavaMoving, lavaStill, leaves, lever, lightOpacity, lightValue, lockedChest, melon, melonStem, mobSpawner, mushroomBrown, mushroomCapBrown, mushroomCapRed, mushroomRed, music, mycelium, netherBrick, netherFence, netherrack, netherStalk, obsidian, opaqueCubeLookup, oreCoal, oreDiamond, oreEmerald, oreGold, oreIron, oreLapis, oreRedstone, oreRedstoneGlowing, pistonBase, pistonExtension, pistonMoving, pistonStickyBase, planks, plantRed, plantYellow, portal, pressurePlatePlanks, pressurePlateStone, pumpkin, pumpkinLantern, pumpkinStem, rail, railDetector, railPowered, redstoneLampActive, redstoneLampIdle, redstoneRepeaterActive, redstoneRepeaterIdle, redstoneWire, reed, requiresSelfNotify, sand, sandStone, sapling, signPost, signWall, silverfish, slipperiness, slowSand, snow, soundClothFootstep, soundGlassFootstep, soundGrassFootstep, soundGravelFootstep, soundMetalFootstep, soundPowderFootstep, soundSandFootstep, soundStoneFootstep, soundWoodFootstep, sponge, stairCompactCobblestone, stairCompactPlanks, stairsBrick, stairsNetherBrick, stairsSandStone, stairsStoneBrickSmooth, stairsWoodBirch, stairsWoodJungle, stairsWoodSpruce, stepSound, stone, stoneBrick, stoneDoubleSlab, stoneOvenActive, stoneOvenIdle, stoneSingleSlab, tallGrass, thinGlass, tilledField, tnt, torchRedstoneActive, torchRedstoneIdle, torchWood, trapdoor, tripWire, tripWireSource, useNeighborBrightness, vine, waterlily, waterMoving, waterStill, web, whiteStone, wood, woodDoubleSlab, woodSingleSlab, workbench`

Constructor Summary
`BlockPistonMoving(int par1)`

Method Summary
`void` | `breakBlock(World par1World, int par2, int par3, int par4, int par5, int par6)` ejects contained items into the world, and notifies neighbours of an update, as appropriate
`boolean` | `canPlaceBlockAt(World par1World, int par2, int par3, int par4)` Checks to see if its valid to put this block at the specified coordinates.
`boolean` | `canPlaceBlockOnSide(World par1World, int par2, int par3, int par4, int par5)` checks to see if you can place this block can be placed on that side of a block: BlockLever overrides
`TileEntity` | `createNewTileEntity(World par1World)` Returns a new instance of a block's tile entity class.
`void` | `dropBlockAsItemWithChance(World par1World, int par2, int par3, int par4, int par5, float par6, int par7)` Drops the block items with a specified chance of dropping the specified items
`AxisAlignedBB` | `getAxisAlignedBB(World par1World, int par2, int par3, int par4, int par5, float par6, int par7)`
`AxisAlignedBB` | `getCollisionBoundingBoxFromPool(World par1World, int par2, int par3, int par4)` Returns a bounding box from the pool of bounding boxes (this means this box can change after the pool has been cleared to be reused)
`int` | `getRenderType()` The type of render function that is called for this block
`static TileEntity` | `getTileEntity(int par0, int par1, int par2, boolean par3, boolean par4)` gets a new TileEntityPiston created with the arguments provided.
`int` | `idDropped(int par1, Random par2Random, int par3)` Returns the ID of the items to drop on destruction.
`int` | `idPicked(World par1World, int par2, int par3, int par4)`
`boolean` | `isOpaqueCube()` Is this block (a) opaque and (b) a full 1m cube? This determines whether or not to render the shared face of two adjacent blocks and also whether the player can attach torches, redstone wire, etc to this block.
`boolean` | `onBlockActivated(World par1World, int par2, int par3, int par4, EntityPlayer par5EntityPlayer, int par6, float par7, float par8, float par9)` Called upon block activation (right click on the block.)
`void` | `onBlockAdded(World par1World, int par2, int par3, int par4)` Called whenever the block is added into the world.
`void` | `onNeighborBlockChange(World par1World, int par2, int par3, int par4, int par5)` Lets the block know when one of its neighbor changes.
`boolean` | `renderAsNormalBlock()` If this block doesn't render as an ordinary block it will return False (examples: signs, buttons, stairs, etc)
`void` | `setBlockBoundsBasedOnState(IBlockAccess par1IBlockAccess, int par2, int par3, int par4)` Updates the blocks bounds based on its current state.

Methods inherited from class net.minecraft.src.BlockContainer
`createNewTileEntity, onBlockEventReceived`

Methods inherited from class net.minecraft.src.Block
`addBlockDestroyEffects, addBlockHitEffects, addCollidingBlockToList, addCreativeItems, beginLeavesDecay, canBeReplacedByLeaves, canBlockStay, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDragonDestroy, canHarvestBlock, canPlaceTorchOnTop, canProvidePower, canRenderInPass, canSilkHarvest, canSustainLeaves, canSustainPlant, collisionRayTrace, colorMultiplier, createTileEntity, damageDropped, dropBlockAsItem, fillWithRain, func_82505_u_, func_82506_l, func_83005_z, func_83006_A, func_83007_w, func_83008_x, func_83009_v, func_83010_y, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBrightness, getBlockColor, getBlockDropped, getBlockHardness, getBlockName, getBlocksMovement, getBlockTexture, getBlockTextureFromSide, getBlockTextureFromSideAndMetadata, getCreativeTabToDisplayOn, getDamageValue, getEnableStats, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getLightOpacity, getLightValue, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getRenderColor, getSelectedBoundingBoxFromPool, getSubBlocks, getTextureFile, getTickRandomly, harvestBlock, hasTileEntity, hasTileEntity, isAirBlock, isBed, isBedFoot, isBlockBurning, isBlockFoliage, isBlockNormalCube, isBlockReplaceable, isBlockSolid, isBlockSolidOnSide, isCollidable, isFertile, isFireSource, isFlammable, isGenMineableReplaceable, isIndirectlyPoweringTo, isLadder, isLeaves, isNormalCube, isPoweringTo, isWood, onBlockClicked, onBlockDestroyedByExplosion, onBlockDestroyedByPlayer, onBlockHarvested, onBlockPlacedBy, onEntityCollidedWithBlock, onEntityWalking, onFallenUpon, onSetBlockIDWithMetaData, quantityDropped, quantityDropped, quantityDroppedWithBonus, randomDisplayTick, removeBlockByPlayer, setBedOccupied, setBlockBounds, setBlockBoundsForItemRender, setBlockName, setBlockUnbreakable, setBurnProperties, setCreativeTab, setHardness, setLightOpacity, setLightValue, setRequiresSelfNotify, setResistance, setStepSound, setTextureFile, setTickRandomly, shouldSideBeRendered, tickRate, translateBlockName, updateBlockMetadata, updateTick, velocityToAddToEntity`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlockPistonMoving

    public BlockPistonMoving(int par1)

Method Detail

### createNewTileEntity

    public TileEntity createNewTileEntity(World par1World)

  Returns a new instance of a block's tile entity class. Called on placing the block.

  Specified by:
    `createNewTileEntity` in class `BlockContainer`

### onBlockAdded

    public void onBlockAdded(World par1World,
                             int par2,
                             int par3,
                             int par4)

  Called whenever the block is added into the world. Args: world, x, y, z

  Overrides:
    `onBlockAdded` in class `BlockContainer`

### breakBlock

    public void breakBlock(World par1World,
                           int par2,
                           int par3,
                           int par4,
                           int par5,
                           int par6)

  ejects contained items into the world, and notifies neighbours of an update, as appropriate

  Overrides:
    `breakBlock` in class `BlockContainer`

### canPlaceBlockAt

    public boolean canPlaceBlockAt(World par1World,
                                   int par2,
                                   int par3,
                                   int par4)

  Checks to see if its valid to put this block at the specified coordinates. Args: world, x, y, z

  Overrides:
    `canPlaceBlockAt` in class `Block`

### canPlaceBlockOnSide

    public boolean canPlaceBlockOnSide(World par1World,
                                       int par2,
                                       int par3,
                                       int par4,
                                       int par5)

  checks to see if you can place this block can be placed on that side of a block: BlockLever overrides

  Overrides:
    `canPlaceBlockOnSide` in class `Block`

### getRenderType

    public int getRenderType()

  The type of render function that is called for this block

  Overrides:
    `getRenderType` in class `Block`

### isOpaqueCube

    public boolean isOpaqueCube()

  Is this block (a) opaque and (b) a full 1m cube? This determines whether or not to render the shared face of two adjacent blocks and also whether the player can attach torches, redstone wire, etc to this block.

  Overrides:
    `isOpaqueCube` in class `Block`

### renderAsNormalBlock

    public boolean renderAsNormalBlock()

  If this block doesn't render as an ordinary block it will return False (examples: signs, buttons, stairs, etc)

  Overrides:
    `renderAsNormalBlock` in class `Block`

### onBlockActivated

    public boolean onBlockActivated(World par1World,
                                    int par2,
                                    int par3,
                                    int par4,
                                    EntityPlayer par5EntityPlayer,
                                    int par6,
                                    float par7,
                                    float par8,
                                    float par9)

  Called upon block activation (right click on the block.)

  Overrides:
    `onBlockActivated` in class `Block`

### idDropped

    public int idDropped(int par1,
                         Random par2Random,
                         int par3)

  Returns the ID of the items to drop on destruction.

  Overrides:
    `idDropped` in class `Block`

### dropBlockAsItemWithChance

    public void dropBlockAsItemWithChance(World par1World,
                                          int par2,
                                          int par3,
                                          int par4,
                                          int par5,
                                          float par6,
                                          int par7)

  Drops the block items with a specified chance of dropping the specified items

  Overrides:
    `dropBlockAsItemWithChance` in class `Block`

### onNeighborBlockChange

    public void onNeighborBlockChange(World par1World,
                                      int par2,
                                      int par3,
                                      int par4,
                                      int par5)

  Lets the block know when one of its neighbor changes. Doesn't know which neighbor changed (coordinates passed are their own) Args: x, y, z, neighbor blockID

  Overrides:
    `onNeighborBlockChange` in class `Block`

### getTileEntity

    public static TileEntity getTileEntity(int par0,
                                           int par1,
                                           int par2,
                                           boolean par3,
                                           boolean par4)

  gets a new TileEntityPiston created with the arguments provided.

### getCollisionBoundingBoxFromPool

    public AxisAlignedBB getCollisionBoundingBoxFromPool(World par1World,
                                                         int par2,
                                                         int par3,
                                                         int par4)

  Returns a bounding box from the pool of bounding boxes (this means this box can change after the pool has been cleared to be reused)

  Overrides:
    `getCollisionBoundingBoxFromPool` in class `Block`

### setBlockBoundsBasedOnState

    public void setBlockBoundsBasedOnState(IBlockAccess par1IBlockAccess,
                                           int par2,
                                           int par3,
                                           int par4)

  Updates the blocks bounds based on its current state. Args: world, x, y, z

  Overrides:
    `setBlockBoundsBasedOnState` in class `Block`

### getAxisAlignedBB

    public AxisAlignedBB getAxisAlignedBB(World par1World,
                                          int par2,
                                          int par3,
                                          int par4,
                                          int par5,
                                          float par6,
                                          int par7)

### idPicked

    public int idPicked(World par1World,
                        int par2,
                        int par3,
                        int par4)

  Overrides:
    `idPicked` in class `Block`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD